Subject: bug#13727: 24.3.50; terminal emacs flickers when redrawing frame

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Feb 2013 11:22:22 +0200

> From: "Jose A. Ortega Ruiz" <[email-masked]>
> Date: Sat, 16 Feb 2013 02:38:51 +0100
> 
> Since a month ago, using emacs-snapshot (so pretty close to the Bzr
> head), in terminal mode (both in xterm and urxvt), i'm experiencing
> flickers and slow redraws in several modes.  Perhaps the easiest to
> reproduce is using Gnus with a multiwindow layout (3 windows visible:
> groups, message list and message body), where entering the next group
> (which causes almost a complete redraw) produces a very noticeable
> flicker, specially when the mode lines are redrawn.
> 
> For instance, right now, composing this bug report, the flicker is very
> noticeable (perhaps due to the special self-deletable text in the
> email?), although it comes and goes...
> 
> In vanilla emacs 24.2/3 the redraw is immediate and totally invisible.
> 
> I also sometimes see flickers when fontify region is doing its thing.

Many changes went under the bridge during the last month.  Is it
possible for you to bisect the last month worth of revisions to find
the revisions that are to blame?

If not, can you tell how to reproduce this with fontify region?  What
exactly does the last sentence mean?

I don't use Gnus; is there any other way to see the flickering?

Thanks.